---
interface Props {
	data: string;
}

const { data } = Astro.props;
const item = JSON.parse(data);

---
<a class="rounded-xl hover:shadow-md bg-white p-3 cursor-pointer" href={`/product?item=${item.ItemId}`}>
	<div class="w-full h-52">
		<img src={item.PictureUrl} class="w-full h-full object-contain" draggable="false"/>
	</div>
	<br />
	<span class="text-xl text-purple-600">USD {item.Price}</span>
	<br />
	<span class="text-sm">{item.Name}</span>
</a>